Package com.sun.jna.platform.mac

## Interface XAttr

- All Superinterfaces:
    `Library`

      interface XAttr
      extends Library

  JNA wrapper for <sys/xattr.h>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XAttr` | `INSTANCE` |
    `static int` | `XATTR_CREATE` |
    `static java.lang.String` | `XATTR_FINDERINFO_NAME` |
    `static int` | `XATTR_MAXNAMELEN` |
    `static int` | `XATTR_NODEFAULT` |
    `static int` | `XATTR_NOFOLLOW` |
    `static int` | `XATTR_NOSECURITY` |
    `static int` | `XATTR_REPLACE` |
    `static java.lang.String` | `XATTR_RESOURCEFORK_NAME` |
    `static int` | `XATTR_SHOWCOMPRESSION` |

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getxattr​(java.lang.String path, java.lang.String name, Pointer value, long size, int position, int options)` |
    `long` | `listxattr​(java.lang.String path, Pointer namebuff, long size, int options)` |
    `int` | `removexattr​(java.lang.String path, java.lang.String name, int options)` |
    `int` | `setxattr​(java.lang.String path, java.lang.String name, Pointer value, long size, int position, int options)` |

- - ### Field Detail

    - #### INSTANCE

          static final XAttr INSTANCE

    - #### XATTR_NOFOLLOW

          static final int XATTR_NOFOLLOW

      See Also:
        Constant Field Values

    - #### XATTR_CREATE

          static final int XATTR_CREATE

      See Also:
        Constant Field Values

    - #### XATTR_REPLACE

          static final int XATTR_REPLACE

      See Also:
        Constant Field Values

    - #### XATTR_NOSECURITY

          static final int XATTR_NOSECURITY

      See Also:
        Constant Field Values

    - #### XATTR_NODEFAULT

          static final int XATTR_NODEFAULT

      See Also:
        Constant Field Values

    - #### XATTR_SHOWCOMPRESSION

          static final int XATTR_SHOWCOMPRESSION

      See Also:
        Constant Field Values

    - #### XATTR_MAXNAMELEN

          static final int XATTR_MAXNAMELEN

      See Also:
        Constant Field Values

    - #### XATTR_FINDERINFO_NAME

          static final java.lang.String XATTR_FINDERINFO_NAME

      See Also:
        Constant Field Values

    - #### XATTR_RESOURCEFORK_NAME

          static final java.lang.String XATTR_RESOURCEFORK_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getxattr

          long getxattr​(java.lang.String path,
                        java.lang.String name,
                        Pointer value,
                        long size,
                        int position,
                        int options)

    - #### setxattr

          int setxattr​(java.lang.String path,
                       java.lang.String name,
                       Pointer value,
                       long size,
                       int position,
                       int options)

    - #### removexattr

          int removexattr​(java.lang.String path,
                          java.lang.String name,
                          int options)

    - #### listxattr

          long listxattr​(java.lang.String path,
                         Pointer namebuff,
                         long size,
                         int options)